import { MatrixClient, MatrixEvent, TypedEventEmitter } from "matrix-js-sdk/src/matrix";
import { VoiceBroadcastRecording } from "..";
export declare enum VoiceBroadcastRecordingsStoreEvent {
    CurrentChanged = "current_changed"
}
interface EventMap {
    [VoiceBroadcastRecordingsStoreEvent.CurrentChanged]: (recording: VoiceBroadcastRecording | null) => void;
}
/**
 * This store provides access to the current and specific Voice Broadcast recordings.
 */
export declare class VoiceBroadcastRecordingsStore extends TypedEventEmitter<VoiceBroadcastRecordingsStoreEvent, EventMap> {
    private current;
    private recordings;
    constructor();
    setCurrent(current: VoiceBroadcastRecording): void;
    getCurrent(): VoiceBroadcastRecording | null;
    hasCurrent(): boolean;
    clearCurrent(): void;
    getByInfoEvent(infoEvent: MatrixEvent, client: MatrixClient): VoiceBroadcastRecording;
    private onCurrentStateChanged;
}
export {};
